Bug 80283 - redhat-config-packages won't start
Summary: redhat-config-packages won't start
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-packages
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
: 79950 80502 80601 81121 81140 81319 81323 81610 81655 81761 81766 82206 (view as bug list)
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-24 02:17 UTC by Michael McCabe
Modified: 2008-05-01 15:38 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2003-01-09 13:09:19 UTC


Attachments (Terms of Use)

Description Michael McCabe 2002-12-24 02:17:47 UTC
Whenever I try to start redhat-config-packages while being logged in as root it
won't start and it outputs a box that contains the message unknown error.  I
also tried starting the program from the terminal and it prints the following
text output.

(MainWindow.py:19266): GLib-GObject-WARNING **: invalid uninstantiatable type
`glong' in cast to `GtkObject'
 
(MainWindow.py:19266): GLib-GObject-WARNING **: instance of invalid
non-instantiatable type `guchar'
 
(MainWindow.py:19266): GLib-GObject-CRITICAL **: file gsignal.c: line 2056
(g_signal_handlers_destroy): assertion `G_TYPE_CHE


How reproducible:
Every time that I try to start redhat-config-packages

Steps to Reproduce:
1.Start redhat-config-packages
2.
3.
    
Actual results:
Unknown error message printed to screen

Expected results:
Redhat Config Packages starts

Additional info:

Comment 1 Didier 2002-12-25 17:06:38 UTC
Confirmed on a clean Phoebe install.


Comment 2 Jeremy Katz 2002-12-27 17:17:59 UTC
*** Bug 80502 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Katz 2002-12-27 17:18:28 UTC
*** Bug 79950 has been marked as a duplicate of this bug. ***

Comment 4 Jeremy Katz 2002-12-28 05:30:59 UTC
pygtk bug fixed in pygtk2-1.99.14-1 (you'll also want to pull in the new
gnome-python2 and pyorbit packages).  redhat-config-packages-1.1.1-1 also has a
few fixups over 1.1.0

Comment 5 Daniel Resare 2002-12-28 17:09:15 UTC
any particular reason those upgrade packages is not available in up2date?

Comment 6 Bill Nottingham 2003-01-01 05:33:25 UTC
*** Bug 80601 has been marked as a duplicate of this bug. ***

Comment 7 Jeremy Katz 2003-01-05 06:08:30 UTC
*** Bug 81121 has been marked as a duplicate of this bug. ***

Comment 8 Jeremy Katz 2003-01-06 06:33:59 UTC
*** Bug 81140 has been marked as a duplicate of this bug. ***

Comment 9 Jeremy Katz 2003-01-08 02:54:59 UTC
*** Bug 81319 has been marked as a duplicate of this bug. ***

Comment 10 Jeremy Katz 2003-01-08 04:00:53 UTC
*** Bug 81323 has been marked as a duplicate of this bug. ***

Comment 11 safedin kajosaj 2003-01-08 04:11:48 UTC
Using the latest version in rawhide (include the update pygtk2- files)  WFM 

Comment 12 Ken Schar 2003-01-08 13:25:38 UTC
Installed packages from rawhide recommended by Jeremy in Comment#4 and problem
is solved. Thanks!

Comment 13 Jay Turner 2003-01-09 13:09:19 UTC
Closing out on confirmation from reporter.

Comment 14 Jeremy Katz 2003-01-10 03:48:03 UTC
*** Bug 81526 has been marked as a duplicate of this bug. ***

Comment 15 Jeremy Katz 2003-01-11 06:47:33 UTC
*** Bug 81610 has been marked as a duplicate of this bug. ***

Comment 16 Jeremy Katz 2003-01-12 08:35:34 UTC
*** Bug 81655 has been marked as a duplicate of this bug. ***

Comment 17 Jeremy Katz 2003-01-13 20:33:37 UTC
*** Bug 81761 has been marked as a duplicate of this bug. ***

Comment 18 Jeremy Katz 2003-01-13 21:05:26 UTC
*** Bug 81766 has been marked as a duplicate of this bug. ***

Comment 19 Jeremy Katz 2003-01-19 21:37:09 UTC
*** Bug 82206 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.